SOURCES: Regina.init - added check that network is up

shadzik shadzik at pld-linux.org
Thu May 11 02:28:36 CEST 2006


Author: shadzik                      Date: Thu May 11 00:28:36 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- added check that network is up

---- Files affected:
SOURCES:
   Regina.init (1.1 -> 1.2) 

---- Diffs:

================================================================
Index: SOURCES/Regina.init
diff -u SOURCES/Regina.init:1.1 SOURCES/Regina.init:1.2
--- SOURCES/Regina.init:1.1	Thu May 11 02:22:55 2006
+++ SOURCES/Regina.init	Thu May 11 02:28:31 2006
@@ -9,6 +9,16 @@
 # source function library
 . /etc/rc.d/init.d/functions
 
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+                msg_network_down pure-ftpd
+                exit 1
+        fi
+else
+        exit 0
+fi
+
 RETVAL=0
 
 case "$1" in
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/Regina.init?r1=1.1&r2=1.2&f=u



More information about the pld-cvs-commit mailing list